!ティモシェンコ梁,片持ち,等方性材料,Cowperによるk,
implicit none
       real :: tawami, P, L, E, b, h, k, G, poason, FEM, gosa, soutai
        print *,"FEMによるたわみ[mm]"
          read *,FEM
         print *,"ポアソン比"
          read *,poason
         print *,"荷重[N]"
          read *,P
         print *,"スパン[mm]"
          read *,L
         print *,"ヤング率[MPa]"
          read *,E
         print *,"幅[mm]"
          read *,b
         print *,"高さ[mm]"
          read *,h

         k=(10*(1+poason)/(12+11*poason))
         G=E/(2*(1+poason))
        tawami=((4*P*L**3)/(E*b*h**3))+((P*L)/(k*b*h*G))
        gosa=tawami-FEM
        soutai=(gosa*100)/tawami
         print *,"たわみ[mm]は：",tawami
         print *,"誤差[mm]は：",gosa
         print *,"相対誤差[%]は：",soutai
       end


